# $Revision: 1.5 $, $Date: 2002/09/26 09:40:56 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Inline
Summary:	Inline perl module
Summary(pl):	Modu perla Inline
Name:		perl-Inline
Version:	0.42
Release:	1
Epoch:		1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Digest-MD5 >= 2.09
BuildRequires:	perl-Parse-RecDescent >= 1.78
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# false requires found by rpm
%define		_noautoreq	'perl(of)'

%description
Inline.pm - Write Perl subroutines in other programming languages.

%description -l pl
Modu Inline.pm - pozwala tworzy procedury Perla w innych jzykach
programowania.

%package C
Summary:	Inline::C perl module
Summary(pl):	Modu perla Inline::C
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}
Requires:	gcc

%description C
Inline::C - Write Perl subroutines in C.

%description C -l pl
Modu Inline::C - pozwalajcy pisa funkcje Perla w C.

%prep
%setup -q -n %{pdir}-%{version}

%build
echo "y" | perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Inline.pm
%{perl_sitelib}/Inline/denter.pm
%{perl_sitelib}/Inline/Foo.pm
%{perl_sitelib}/Inline/MakeMaker.pm
%{perl_sitelib}/auto/Inline
%{_mandir}/man3/Inline.3pm*
%{_mandir}/man3/Inline-*.3pm*

%files C
%defattr(644,root,root,755)
%doc C/Changes C/README
%{perl_sitelib}/Inline/C.pm
%{perl_sitelib}/Inline/C
%{_mandir}/man3/Inline::C*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Inline.spec,v $
Revision 1.5  2002/09/26 09:40:56  ankry
- version down to 0.42; 0.43 does not work with Inline::Filters
- release 1, epoch 1, STBR

Revision 1.4  2002/09/17 16:19:24  qboosh
- %%{perl_sitearch}{/auto,}/Inline dirs moved to perl - this package is noarch
- release 3

Revision 1.3  2002/07/13 22:56:17  ankry
- _noautoreq 'perl(of)' (workaround for rpm parsing error)
- release 2

Revision 1.2  2002/07/13 11:44:30  qboosh
- added dirs for arch-dependent Inline::* modules
- noarch Inline dir moved to perl - Inline::Files doesn't require Inline
- release 2

Revision 1.1  2002/07/12 22:45:14  qboosh
- new
